# $Revision: 1.17 $, $Date: 2008/07/27 22:26:32 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Array
%define		pnam	PrintCols
Summary:	Array::PrintCols - print or format array elements in vertically sorted columns
Summary(pl.UTF-8):	Array::PrintCols - formatowanie tablicy w pionowo posortowanych kolumnach
Name:		perl-Array-PrintCols
Version:	2.1
Release:	4
License:	GPL v2+
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	b8780d4eda58c33d70c0999232c633bd
Patch0:		%{name}-fix.patch
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Array::PrintCols defines a subroutine to print arrays of elements in
alphabetically, vertically sorted columns. Optional arguments can be
given to control either the width or number of the columns, the total
width of the output, and the amount of indentation.

%description -l pl.UTF-8
Moduł Array::PrintCol definiuje funkcję do wypisywania tablic
elementów alfabetycznie, w pionowych posortowanych kolumnach. Można
przekazać opcjonalne parametry, kontrolujące szerokość lub liczbę
kolumn, całkowitą szerokość wyjścia oraz liczbę wcięć.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Array-PrintCols.spec,v $
Revision 1.17  2008/07/27 22:26:32  arekm
- release 4

Revision 1.16  2007-02-13 07:16:52  glen
- tabs in preamble

Revision 1.15  2007/02/12 00:49:22  baggins
- converted to UTF-8

Revision 1.14  2004/11/03 20:27:38  paladine
- formatting

Revision 1.13  2004/04/17 05:46:23  ankry
- license fixes

Revision 1.12  2003/12/17 16:20:36  qboosh
- added patch for duplicate declaration
- informative summaries, tests, release 3

Revision 1.11  2003/08/18 08:08:27  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.10  2003/05/28 13:00:21  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/04/11 18:59:20  radek
- BR: perl-devel; do not BR: perl

Revision 1.7  2003/03/01 17:42:08  radek
- should be ready for perl-5.8.0; release++

Revision 1.6  2003/02/28 10:08:08  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.5  2003/02/25 00:35:49  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:26:01  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/12/03 21:34:43  ankry
- cleaning

Revision 1.2  2002/08/02 07:50:37  qboosh
- pl translation

Revision 1.1  2002/08/01 22:38:53  radek
- new, STBR
